Popup Defender

Table of content:
Requirements
About the program
Features
The main window
Popup blocking
Block list
Block list with keywords
100% popup blocking
Options

Requirements:
Windows 9x, NT 4.0, 2000, XP.
Internet Explorer 5.0 + .
About 1MB of disk space.

About the program:
Anyone who ever used the Internet faced annoying popup windows with advertisement. It is virtually impossible to make a program that will eliminate those completely, while leaving those that are useful or even vital for website navigation. Many software companies tried and failed that is why you see more and more of those pop-up windows every day. Popup Defender does not close any popup windows; it helps you choose which windows you want to be closed with block list feature. Meaning, more you use this program less popup windows you see.

Features:
When the program is initiated, it automatically starts blocking popup windows. To prevent the program from closing popup windows, either click Stop button or choose Popup manager -> Stop in the menu. You can choose which windows should be closed using block list option.

The main window:
When you start the program you will see this window:

and this smiling face icon in the system tray (near the clock):

The icon will change depending on the number of windows open:

Load between 40% and 60%

The program will allow another opened window and all the others will be blocked when you see a sad face:

If the limit is reached the icon will look like this:

Functions of the buttons:
- if clicked the program will stop closing popup windows.
- if clicked the program will start closing popup windows.
- if this button is used, the program will leave only one browser window open, the rest will be blocked.
- this button disables 100% blocking - undoes "stop 100%" button.
- brings up block list options, where you can add or remove widows that will be closed by the program.
- brings up Options window where you can change settings for this program.
- will open a url of a website you type in without adding it to the dropdown menu in address field of your browser. (see also: disabling auto suggest)
- exits then Popup Defender.

Popup blocking:
As described above, popup windows are created by scripts which webmasters use on their websites for advertisement. Each window that pops up has a title detected by the Popup Defender.
When you visit a website, most of its popup windows have the same or similar title. With Popup Defender you will be able to block those with block list feature. To access the block list simply click Block list button in the main window. More about it in Block list section. The program has 4 types of popup blocking (click on the method to learn more):
* 100% popup blocking
* Block list
* Block list with keywords
* Limit windows opened

Popup Defender has a counter of how many windows it closed. You can see it in the bottom right corner of the program.

Block list:
Block list is accessible from menu - Popup manager > Block list, or simply by clicking on the Block list button in the main window.
In the left window you can see currently opened windows and their titles. You can add a title to the block list by selecting it and clicking Add to block list button. This will add selected title to the block list and the program will automatically close windows with this title. If, by acsident, you add a title that you don't want to be closed, select it in the the list on the right and click Remove from block list button. This will remove a title from the block list and the program will no longer close windows with that title.

You can export the block list by clicking on Export button. You can later restore your block list by clicking Import button and selecting the file you exported.

If you want to protect access to the block list, check Protect with password checkbox, type the password and click Save password button. Next time when you start Popup Defender you will need to enter the password in order to access the block list options.
In order for the password to work you will need to restart the application. To do that right click on the icon in the tray and click Exit. Or click Exit button in the main window.

You can add a title to the block list simply by clicking with a right mouse button on the Popup Defender icon in the system tray (near the clock) and choosing the title you want to block.

Block list with keywords:
You can also use the block list with keywords. This method allows you to choose windows that will be closed having certain word, phrase or even letters combination. To instruct the program to do so, simply type what you want to be blocked to Add a keyword to the Block list and click Add button.

What you just entered will appear in the right window and all windows with that expression in the title will be closed automatically. You can remove that rule by selecting it in the right window and clicking Remove from block list button.

100% popup blocker:
Some of the web sites have many pop up windows of various types and block list feature becomes very hard to use and sometimes no use at all. In this case you can use 100% popup blocker feature. When the program is in 100% popup blocking mode, it will only allow one browser window to be opened, the rest will not be allowed. To enable this option, simply click Stop 100% button in the main window, or click with the right mouse button on program's icon in system tray (bottom right corner) and choose Stop 100%. The icon in system tray will become red. You can disable this feature by right clicking on the icon in system tray and choosing End 100% or by clicking End 100% button in the main window.

Options:
You can access options by clicking on Options button in the main window or from the menu Tools > Options. In options window you can change the settings for the program. There are four sub-options: popup, proxy, misc and messenger.

Popup
With this option you can change settings for the popup blocking function of the program.

Limit max opened window - if checked, the program will only allow sertain number of opened windows. The rest will be closed.

If you want the program to keep the limit you set, choose Limit the number of windows at set; otherwise choose Expand the limit.

Time to check in seconds - Sets how often Popup Defender should check for popup windows. The shorter the time - faster the Popup Defender will close popups.

Proxy
If you connect to the Internet through a proxy server, you will need to set it up here.

Misc
In this window you can change general settings for the program.

Exit on close - the program will exit if you click on the X in the top right corner.

Start blocking popups when the program starts - - when the program begins, it will automatically start blocking pop-up windows.

Run this program when Windows starts - the program will start automatically, when you turn on your computer.

On start minimize to the system tray - the program will minimize to the system tray when started. You can open the main window by clicking on the yellow face at the bottom right corner of your screen.

Reset warnings - if you click this button all the confirmations will be set to defaults. Clicking Defaults button will reset all the confirmations as well.

Disable auto suggest - if this option is checked auto suggest will be disabled. Thus, when, in the address bar, you type internet address it will not suggest you any urls. See examples bellow.
Messenger
Messenger popups are sent to many people every day for advertisement purposes. They can be easily recognized, for they have "Messenger" in the title. Simply click Click here to stop Messenger spam! icon to get rid of messenger popups permanently.

If the traffic light is green, then messenger popups are not being blocked. If it's red you are 100% protected from all messenger popups.